### org.jfree.layouting.input.style.parser.stylehandler.line

# Class BaselineShiftReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.line.BaselineShiftReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class BaselineShiftReadHandler`
`extends OneOfConstantsReadHandler`

Creation-Date: 28.11.2005, 18:12:27

Author:
  Thomas Morgner

  ## Constructor Summary

  `BaselineShiftReadHandler()`

  ## Method Summary

  `protected CSSValue`

  `lookupValue(LexicalUnit value)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler

  `addValue`, `createValue`, `isAutoAllowed`, `lookupValue`

## Constructor Details

### BaselineShiftReadHandler

    public BaselineShiftReadHandler()

## Method Details

### lookupValue

    protected CSSValue lookupValue(LexicalUnit value)

> Overrides:
>   lookupValue in interface OneOfConstantsReadHandler